Skip to content
Start here

Delete a WAF override

Deprecated
client.firewall.waf.overrides.delete(stringoverridesId, OverrideDeleteParams { zone_id } params, RequestOptionsoptions?): OverrideDeleteResponse { id }
DELETE/zones/{zone_id}/firewall/waf/overrides/{overrides_id}

Deletes an existing URI-based WAF override.

Note: Applies only to the previous version of WAF managed rules.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zone Settings Write
ParametersExpand Collapse
overridesId: string

The unique identifier of the WAF override.

maxLength32
params: OverrideDeleteParams { zone_id }
zone_id: string

Defines an identifier.

maxLength32
ReturnsExpand Collapse
OverrideDeleteResponse { id }
id?: string

The unique identifier of the WAF override.

maxLength32

Delete a WAF override

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const override = await client.firewall.waf.overrides.delete('de677e5818985db1285d0e80225f06e5', {
  zone_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(override.id);
{
  "result": {
    "id": "de677e5818985db1285d0e80225f06e5"
  }
}
Returns Examples
{
  "result": {
    "id": "de677e5818985db1285d0e80225f06e5"
  }
}